      module bh02   
      use types
      use gf_param  
      use coordinates

      type GF3
      character (len=64), pointer                :: name
      integer(I4B), pointer, dimension(:)        :: ddim
      real(SP), pointer, dimension(:,:,:)        :: data
      end type GF3


      type GF3T
      integer(I4B)                               :: n_t
      real(SP), pointer, dimension(:)            :: t
      type (GF3), pointer, dimension (:)         :: tlev
      end type GF3T

      type GF3TL
      character (len=256)                        :: name
      integer(I4B)                               :: n_gfcn
      type (GF3T), pointer, dimension (:)        :: gfcn
      type  (COORDS), pointer, dimension(:)      :: c
      end type GF3TL 

      end module bh02





